# class SIGAdaptUser | Abstract SIGTRAN Adaptation user. More...
Contains pure virtuals
Full name | `TelEngine::SIGAdaptUser`
Definition | `#include <libs/ysig/yatesig.h>`
Inherited by | ISDNIUA, SS7M2UA, SS7M3UA, SS7SUA
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- virtual ~SIGAdaptUser ()

#### Protected Methods

- inline SIGAdaptUser ()
- inline SIGAdaptClient* adaptation () const
- inline SIGTransport* transport () const
- void adaptation (SIGAdaptClient* adapt)
- virtual void activeChange (bool active)
- inline bool activate ()
- inline bool aspUp () const
- inline bool aspActive () const
- inline unsigned char getStreamId ()

#### Protected Members

- bool m_autostart
- unsigned char m_streamId

## Detailed Description

An interface to a Signalling Transport Adaptation user

~SIGAdaptUser () | ### ~SIGAdaptUser

[virtual]

Destructor

inline SIGAdaptUser () | ### SIGAdaptUser

[protected]

Default constructor

inline SIGAdaptClient* adaptation () | ### adaptation

[protected const]

Get the User Adaptation to which this component belongs

Returns: Pointer to the User Adaptation layer

inline SIGTransport* transport () | ### transport

[protected const]

Get the transport of the user adaptation component

Returns: Pointer to the transport layer or NULL

void adaptation (SIGAdaptClient* adapt) | ### adaptation

[protected]

Set the User Adaptation to which this component belongs

Parameters:

adapt | Pointer to the new User Adaptation layer

void activeChange (bool active) | ### activeChange

[protected pure virtual]

Traffic activity state change notification

Parameters:

active | True if the ASP is active and traffic is allowed

inline bool activate () | ### activate

[protected]

Request activation of the ASP

Returns: True if ASP activation started, false on failure

inline bool aspUp () | ### aspUp

[protected const]

Check if the ASP is Up

Returns: True if the ASPSM is in UP state

inline bool aspActive () | ### aspActive

[protected const]

Check if the ASP is Active

Returns: True if the ASPTM is in ACTIVE state

inline unsigned char getStreamId () | ### getStreamId

[protected]

Obtain the stream id to use for data messages

Returns: The stream id

bool m_autostart | ### m_autostart

[protected]

unsigned char m_streamId | ### m_streamId

[protected]

Generated by: paulc on bussard on Mon Feb 10 13:15:47 2014, using kdoc 2.0a54.